# RadiationDetectorSignals.jl

[![Documentation for stable version](https://img.shields.io/badge/docs-stable-blue.svg)](https://JuliaPhysics.github.io/RadiationDetectorSignals.jl/stable)
[![Documentation for development version](https://img.shields.io/badge/docs-dev-blue.svg)](https://JuliaPhysics.github.io/RadiationDetectorSignals.jl/dev)
[![License](http://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat)](LICENSE.md)
[![Build Status](https://github.com/JuliaPhysics/RadiationDetectorSignals.jl/workflows/CI/badge.svg?branch=main)](https://github.com/JuliaPhysics/RadiationDetectorSignals.jl/actions?query=workflow%3ACI)
[![Codecov](https://codecov.io/gh/JuliaPhysics/RadiationDetectorSignals.jl/branch/main/graph/badge.svg)](https://codecov.io/gh/JuliaPhysics/RadiationDetectorSignals.jl)

A Julia package for data types to represent radiation detector signals,
especially sparse hit data and digitized waveforms.

RadiationDetectorSignals.jl is integrated with
[StructArrays.jl](https://github.com/JuliaArrays/StructArrays.jl) for
contiguous memory layout of data. The package is also compatible with
[EncodedArrays.jl](https://github.com/oschulz/EncodedArrays.jl) to handle
compressed data.


## Documentation

* [Documentation for stable version](https://JuliaPhysics.github.io/RadiationDetectorSignals.jl/stable)
* [Documentation for development version](https://JuliaPhysics.github.io/RadiationDetectorSignals.jl/dev)
